Subject: bug#27631: dired a/*/b

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Aug 2017 21:25:25 -0400

>> The old code already used the shell to do the wildcard expansion, so why
>> not just adjust the old code.
> I'm not sure I understand what you mean by "used the shell to do the
> wildcard expansion",

Just what you think it means: if you requested M-x dired RET ~/foo/* RET
it called "ls --dired -al *" from directory ~/foo.

My patch just changes the code so that M-x dired RET ~/foo/*/bar RET
is turned into "ls --dired -al */bar" from directory ~/foo.

> but if you actually mean to let the shell do that, it's unportable to
> non-Posix shells.

I know.  That's why ls-lisp advises the corresponding function.

        Stefan